function L = assemLoad_BFE(Mesh,QuadRule,FHandle,varargin)
% ASSEMLOAD_BFE Assemble bilinear FE contributions.

%%% Initialize constants %%%
nCoordinates = size(Mesh.Coordinates,1);
nElements = size(Mesh.Elements,1);

%%% Preallocate memory %%%
L = zeros(nCoordinates,1);

%%% Assemble element contributions %%%
for i = 1:nElements
    %%% Extract vertex numbers %%%
    vidx = Mesh.Elements(i,:);
    
    %%% evaluate shape functions and gradient in quad. nodes %%%    
    N = ...;
    grad_N = ...;
    
    %%% Compute Element mapping and jacobian Determinant %%%
    det_DPhi_K = ...
    
    %%% Map quadrature nodes to local element %%%
    x = ...
    
    %%% Evaluate f %%%
    FVal = FHandle(x,Mesh.ElemFlag(i),varargin{:});
    
    %%% Add contributions to global load data %%%
    L(vidx(1)) = L(vidx(1)) + sum(QuadRule.w.*FVal.*N(:,1).*det_DPhi_K);
    L(vidx(2)) = L(vidx(2)) + sum(QuadRule.w.*FVal.*N(:,2).*det_DPhi_K);
    L(vidx(3)) = L(vidx(3)) + sum(QuadRule.w.*FVal.*N(:,3).*det_DPhi_K);
    L(vidx(4)) = L(vidx(4)) + sum(QuadRule.w.*FVal.*N(:,4).*det_DPhi_K);
    
end
end